Summary: A lightweight multi-tabbed terminal emulator for X
Name: mrxvt 
Version: 0.5.3
Release: 5%{?dist} 
URL: http://materm.sourceforge.net/wiki/Main/HomePage
License: GPLv2+
Group: User Interface/X 
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: imake pkgconfig ncurses-devel libXft-devel libXaw-devel libXext-devel desktop-file-utils 
BuildRequires: libpng-devel libjpeg-devel libutempter-devel 

Source0: http://downloads.sourceforge.net/materm/%{name}-%{version}.tar.gz
Source1: http://littlehat.homelinux.org:8000/FEDORA/mrxvt/current/0.5.3/%{name}.desktop

Patch1: http://downloads.sourceforge.net/materm/no-scroll-with-buffer-mrxvt-0.5.3.patch

%description
Mrxvt (previously materm) is based on 2.7.11 CVS of rxvt and aterm.

%prep
%setup -q 
%patch1 -p0 -b .no-scroll-with-buffer-mrxvt-0.5.3
sed -i 's|\r||' share/scripts/mrxvt.vbs

%build
%configure \
           --enable-everything \
           --disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install 

desktop-file-install --vendor=fedora \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        %{SOURCE1}

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc doc/README* doc/*.txt*
%doc share/scripts/
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/mrxvt
%{_mandir}/man1/mrxvt.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/mrxvt/default.menu
%config(noreplace) %{_sysconfdir}/mrxvt/mrxvtrc
%config(noreplace) %{_sysconfdir}/mrxvt/mrxvtrc.sample
%config(noreplace) %{_sysconfdir}/mrxvt/submenus.menu
%{_datadir}/applications/fedora-mrxvt.desktop
%{_datadir}/pixmaps/%{name}*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.3-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.3-2
- Autorebuild for GCC 4.3

* Tue Nov 27 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.3-1
- Fixing SRPM build problem that was created by improper import.

* Tue Nov 27 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.3-0
- New version release for Fedora 8.
- New version of mrxvt with scroll patch.

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.5.2-10
- Rebuild for selinux ppc32 issue.

* Mon Jun 18 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-9
- Removed extraneous build comments.
- Modified "end-of-line" fix to fit one line after patch1.
- Fixed comment for 0.5.2-6 

* Mon Jun 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5.2-8
- Clean up %%prep stage

* Sat Jun 16 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-7 
- Removed Version entry from desktop file.

* Sun Jun 10 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-6 
- Fixed "end-of-line" encoding error with sed replacement
- Fixed release tag

* Mon Jun 4 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-5
- Remove all files under datadir/doc/name
- Add proper document link
- Remove INSTALL file
- Timestamp unmodified text/images

* Mon Jun 4 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-4
- Updated spec file per suggestions in bug #: 223422
- Fixed changelog
- Fixed sourceURL per sf.net rules
- Added parallel make
- Removed root owernship of executable
- Added directory ownership
- Removed unnecesary macros
- Added noreplace

* Sun Jun 3 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-3
- Implemented review guidelines 

* Thu May 31 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-2
- Implemented naming guidelines 

* Tue Jan 16 2007 Adam M. Dutko <gnome at dux-linux org> - 0.5.2-1
- Added X patch
